#!/usr/bin/env ruby
# coding: utf-8
# 第2問
# 次のプログラムは、九九の表を出力させるものですが
# 間違えているので動きません。
# これを ~/Ruby/debug-j2106-2.rb という名前で作成し、
# 間違っている部分を修正してください。

gyou = 1
retsu = 1
while retsu < 10
  while gyou < 10
    printf("%3d|",retsu * gyou)
    gyou += 1
  end
  retsu += 1
  puts
  gyou = 1
end
